#
# This script sets environment variables that are global to all locomotives.
#
# Use the appropriate path separator for the OS we're running on
if test $OSTYPE = "cygwin32" ; then
    # Running on Windows with Cygwin32
    CLASSPATH="${CLASSPATH}\;${LOCO_HOME}/classes\;${LOCO_HOME}/lib/openxml.jar\;${LOCO_HOME}/lib/servlet-2.1.0.jar;${LOCO_HOME}/lib/loco.jar"
else
    # Running on a UNIX (most likely)
    CLASSPATH="${CLASSPATH}:${LOCO_HOME}/classes:${LOCO_HOME}/lib/openxml.jar:${LOCO_HOME}/lib/servlet-2.1.0.jar:${LOCO_HOME}/lib/loco.jar"
fi
export CLASSPATH

