
# The contents of this file are subject to the Locomotive Public License 
# (LPL), a derivative of the Mozilla Public License, version 1.0. You 
# may not use this file except in compliance with the License; You may 
# obtain a copy of the License at http://www.locomotive.org/license/.
# 
# Software distributed under the License is distributed on an "AS IS" basis, 
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
# for the specific language governing rights and limitations under the License. 
#
# The initial developers of this code under the LPL is Leverage Information 
# Systems.  Portions created by Leverage are Copyright (C) 1998 Leverage 
# Information Systems.  All Rights reserved.

#      Primary Schema for Locomotive Session for use with
#      Locomotive Application Server for MySQL 3.21
#      Copyright 1998 Leverage.        All rights reserved.

# Before you use this script, make sure you've read the commands in and
# run the scripts in 'loco_create_db.sql'.
# 
# To set up the required locomotive schema, sign on as the loco
# using the shell command 'mysql -uloco -ploco_pw dev', and run the
# following commands.  If you're re-installing the tables, you'll have 
# to uncomment the lines which drop the loco tables.

#drop table if exists loco_sessions;

create table loco_sessions (
	sid BIGINT AUTO_INCREMENT PRIMARY KEY,
        srid INT,
        userid INT,
        added datetime,
        active datetime,
        expire datetime
);

#drop table if exists loco_session_objects;
create table loco_session_objects (
        sid BIGINT PRIMARY KEY,
        objects BLOB
) ;

