/*
 * The contents of this file are subject to the Locomotive Public License 
 * (LPL), a derivative of the Mozilla Public License, version 1.0. You 
 * may not use this file except in compliance with the License; You may 
 * obtain a copy of the License at http://www.locomotive.org/license/.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the License. 
 *
 * The initial developers of this code under the LPL is Leverage Information 
 * Systems.  Portions created by Leverage are Copyright (C) 1998 Leverage 
 * Information Systems. All Rights reserved.
 */

/*
**      Primary Schema for the Graffiti Wall demo for use with
**      Locomotive for Oracle 
*/

drop table loco_graffiti_tags;
create table loco_graffiti_tags (
   tag_id	number(20) 	PRIMARY KEY,
   tag_author 	varchar2(32),
   tag_text  	varchar2(255),
   tag_ins_time 	date
   ) tablespace LOCO_APP_TS;

/**
 * The following lines are specific to Oracle databases.
 * Informix does not support sequences.
 * Also, in Informix, the current date and time is not SYSDATE, but CURRENT.
 */
drop sequence loco_tag_id_sq;
create sequence loco_tag_id_sq;

insert into loco_graffiti_tags values (loco_tag_id_sq.nextval, 'anon', 
   'This is an example tag', SYSDATE);
insert into loco_graffiti_tags values (loco_tag_id_sq.nextval, 'anon', 
   'This is an example tag', SYSDATE);
insert into loco_graffiti_tags values (loco_tag_id_sq.nextval, 'anon', 
   'This is an example tag', SYSDATE);
insert into loco_graffiti_tags values (loco_tag_id_sq.nextval, 'anon', 
   'This is an example tag', SYSDATE);
insert into loco_graffiti_tags values (loco_tag_id_sq.nextval, 'anon', 
   'This is an example tag', SYSDATE);
insert into loco_graffiti_tags values (loco_tag_id_sq.nextval, 'anon', 
   'This is an example tag', SYSDATE);
insert into loco_graffiti_tags values (loco_tag_id_sq.nextval, 'anon', 
   'This is an example tag', SYSDATE);
insert into loco_graffiti_tags values (loco_tag_id_sq.nextval, 'anon', 
   'This is an example tag', SYSDATE);
insert into loco_graffiti_tags values (loco_tag_id_sq.nextval, 'anon', 
   'This is an example tag', SYSDATE);
insert into loco_graffiti_tags values (loco_tag_id_sq.nextval, 'anon', 
   'This is an example tag', SYSDATE);
