# Sample env.sh file for locomotive.
# This is a sample local configuration file that can be used
# to customize the behaviour of bin/startloco. 
# 
# The file must be in the location ${LOCO_HOME}/localconfig/env.sh to be
# read by the locomotive startup script.

# LOCO_HOME="/home/gunnar/projects/locoroot"
# export LOCO_HOME

CLASSPATH="${LOCO_HOME}/classes/postgresql.jar:${LOCO_HOME}/src/java"
export CLASSPATH


JAVA_ARGS=-Duser.timezone=CET
export JAVA_ARGS

#
# Use the new bean directory to startup Locomotive
#
LOCO_CLASS="org.locomotive.directory.loco.BeanDirectory"
export LOCO_CLASS
LOCO_ARGS="config;localconfig"
export LOCO_ARGS

JAVA=/local/jdk1.1.7B/bin/java
export JAVA
