/*
 * The contents of this file are subject to the Locomotive Public License 
 * (LPL), a derivative of the Mozilla Public License, version 1.0. You 
 * may not use this file except in compliance with the License; You may 
 * obtain a copy of the License at http://www.locomotive.org/license/.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The initial developers of this code under the LPL is Leverage Information 
 * Systems.  Portions created by Leverage are Copyright (C) 1998 Leverage 
 * Information Systems. All Rights reserved.
 */

package org.locomotive.loco.servlet;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;


/**
 * A very basic servlet....
 */
public class DefaultServlet extends HttpServlet
{ 
    public void service (HttpServletRequest req, HttpServletResponse resp)
	throws ServletException, IOException
    {
	HttpSession session = req.getSession(false);
        resp.setContentType("text/html");
	PrintWriter pw = resp.getWriter();

        pw.println("<HTML><HEAD><TITLE>Locomotive Default Servlet</TITLE>");
	pw.println("</HEAD><BODY>");
	pw.println("<H1>Hey!</H1>");
	pw.println("<P>This is a sample default servlet.<BR>");
	pw.println("Session ID is: " + session.getId() + "<BR>");
	pw.println("Have a nice day!");
	pw.println("</BODY></HTML>");
	pw.flush();
    }
}
