# The contents of this file are subject to the Locomotive Public License 
# (LPL), a derivative of the Mozilla Public License, version 1.0. You 
# may not use this file except in compliance with the License; You may 
# obtain a copy of the License at http://www.locomotive.org/license/.
# 
# Software distributed under the License is distributed on an "AS IS" basis, 
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
# for the specific language governing rights and limitations under the License
#
# The initial developers of this code under the LPL is Leverage Information 
# Systems.  Portions created by Leverage are Copyright (C) 1998 Leverage 
# Information Systems.  All Rights reserved.
#
#	Primary Schema for Permissions for use with the
#      Locomotive for MySQL version 3.22
#	Copyright 1999 The Locomotive project
#	

#drop table if exists loco_user_perms;
#drop table if exists loco_permissions;

create table loco_permissions
(
	Id INTEGER AUTO_INCREMENT PRIMARY KEY,
	Name varchar (32) NOT NULL,
	UNIQUE (Name)
);

create table loco_user_perms
(
	Userid INTEGER NOT NULL,
	Perm_Id INTEGER NOT NULL,
	PRIMARY KEY (Userid, Perm_Id)
);

