-- The contents of this file are subject to the Locomotive Public License 
-- (LPL), a derivative of the Mozilla Public License, version 1.0. You 
-- may not use this file except in compliance with the License; You may 
-- obtain a copy of the License at http://www.locomotive.org/license/.
-- 
-- Software distributed under the License is distributed on an "AS IS" basis, 
-- WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
-- for the specific language governing rights and limitations under the License. 
--
-- The initial developers of this code under the LPL is Leverage Information 
-- Systems.  Portions created by Leverage are Copyright (C) 1998 Leverage 
-- Information Systems.  All Rights reserved.

/*
**	Primary Schema for LKS roles for use with
**      Locomotive for Oracle 7.3
**	Copyright 1997 Leverage.	All rights reserved.
**	
*/

drop sequence LOCO_GROUPS_SQ;
create sequence LOCO_GROUPS_SQ;

drop table LOCO_GROUPS;
create table LOCO_GROUPS 
(
	Id NUMBER(10) PRIMARY KEY,
	Name varchar2 (32) UNIQUE
) tablespace loco_perm_ts;

drop table LOCO_USER_GROUPS;
create table LOCO_USER_GROUPS
(
	Userid NUMBER(10),
	Groupid NUMBER(10) REFERENCES LOCO_GROUPS (Id) ON DELETE CASCADE,
	PRIMARY KEY (Userid, Groupid)
) tablespace loco_perm_ts;

