-- Locomotive ACL schema for PostgreSQL, by kore@telebot.net

drop sequence loco_access_control_list_sq;
create sequence loco_access_control_list_sq;

drop table loco_access_control_list;
create table loco_access_control_list
(
	Objectid int4 PRIMARY KEY DEFAULT NEXTVAL('loco_access_control_list_sq'),
	Permission varchar(32) NOT NULL,
	Userid int4 NOT NULL,
	Groupid int4 NOT NULL,
	Allow_Deny int2 NOT NULL
);
create index loco_acl_userid on loco_access_control_list (Userid);
create index loco_acl_groupid on loco_access_control_list (Groupid);

grant all on loco_access_control_list_sq to loco;
grant all on loco_access_control_list to loco;
grant all on loco_acl_userid to loco;
grant all on loco_acl_groupid to loco;
