-- Locomotive groups schema for PostgreSQL, by kore@telebot.net

drop table loco_groups;
create table loco_groups
(
	Id int PRIMARY KEY DEFAULT NEXTVAL('loco_groups_sq'),
	Name varchar(32) NOT NULL UNIQUE
);

drop table loco_user_groups;
create table loco_user_groups
(
	Userid int4 NOT NULL,
	Groupid int4 NOT NULL
);
create index loco_group_userid on loco_user_groups(Userid),
create index loco_group_groupid on loco_user_groups(GroupId),

grant all on loco_groups to loco;
grant all on loco_user_groups to loco;
grant all on loco_group_userid to loco;
grant all on loco_group_groupid to loco;