-- Locomotive permission schema for PostgreSQL, by kore@telebot.net


drop sequence loco_permissions_sq;
create sequence loco_permissions_sq;

drop table loco_permissions;
create table loco_permissions
(
	Id int4 PRIMARY KEY DEFAULT NEXTVAL('loco_permissions_sq'),
	Name varchar (32) UNIQUE
);


drop table loco_user_perms;
create table loco_user_perms
(
	Userid int4 NOT NULL,
	Perm_Id int4 NOT NULL
);
create unique index loco_user_perms_key ON loco_user_perms (Userid, Perm_id);

grant all on loco_permissions_sq to loco;
grant all on loco_permissions to loco;
grant all on loco_user_perms to loco;
grant all on loco_user_perms_key to loco;