/*
 * The contents of this file are subject to the Locomotive Public License 
 * (LPL), a derivative of the Mozilla Public License, version 1.0. You 
 * may not use this file except in compliance with the License; You may 
 * obtain a copy of the License at http://www.locomotive.org/license/.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The initial developers of this code under the LPL is Candleweb AS 
 * Portions created by Candleweb AS are Copyright (C) 1999 Candleweb AS. 
 * All Rights reserved.
 */
package org.locomotive.directory;

/**
 * Convert an object to Integer.
 *
 * @author Gunnar Rnning (gunnar@candleweb.no).
 * @version $Id: IntegerConverter.java,v 1.2 1999/05/05 10:19:32 gunnar Exp $
 */
public class IntegerConverter  implements PropertyConverter {
  public Object convertProperty(Object value){
    Class valueClass = value.getClass();
    if(Integer.class == valueClass)
      return value;
    else
      return Integer.valueOf(value.toString());
  }
}

