/*
 * The contents of this file are subject to the Locomotive Public License 
 * (LPL), a derivative of the Mozilla Public License, version 1.0. You 
 * may not use this file except in compliance with the License; You may 
 * obtain a copy of the License at http://www.locomotive.org/license/.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The initial developers of this code under the LPL is Leverage Information 
 * Systems.  Portions created by Leverage are Copyright (C) 1998 Leverage 
 * Information Systems. All Rights reserved.
 */

package org.locomotive.util.data;


/** Provides a basic exception class to be used by comparison keys.
 * note that this class extends RunTimeException, meaning it
 * does not have to be caught- faster.
 */
public class ComparisonKeyException extends RuntimeException {
    
    public ComparisonKeyException (String s) {
	super(s);
    }
    
    public ComparisonKeyException() {
	super();
    }
}
